CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2011-1842

dbus_backend/lsd.py in the D-Bus backend in language-selector before 0.6.7 does not validate the arguments to the (1) SetSystemDefaultLangEnv and (2) SetSystemDefaultLanguageEnv functions, which allows local users to gain privileges via shell metacharacters in a string argument, a different vulnerability than CVE-2011-0729.
Publish Date : 2011-05-03 Last Update Date : 2017-08-17
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Gain privileges
CWE ID 20

- Products Affected By CVE-2011-1842

# Product Type Vendor Product Version Update Edition Language
1 Application Ubuntu Language-selector * * * * Version Details Vulnerabilities
2 Application Ubuntu Language-selector 0.0\ Baz20050531 * * * Version Details Vulnerabilities
3 Application Ubuntu Language-selector 0.0\ Baz20050926 * * * Version Details Vulnerabilities
4 Application Ubuntu Language-selector 0.0\ Baz20050811 * * * Version Details Vulnerabilities
5 Application Ubuntu Language-selector 0.0\ Baz20050912 * * * Version Details Vulnerabilities
6 Application Ubuntu Language-selector 0.0\ Baz20050808 * * * Version Details Vulnerabilities
7 Application Ubuntu Language-selector 0.0\ Baz20050819 * * * Version Details Vulnerabilities
8 Application Ubuntu Language-selector 0.0\ Baz20050824 * * * Version Details Vulnerabilities
9 Application Ubuntu Language-selector 0.0\ Baz20050823 * * * Version Details Vulnerabilities
10 Application Ubuntu Language-selector 0.0\ Baz20050614 * * * Version Details Vulnerabilities
11 Application Ubuntu Language-selector 0.0\ Baz20050927 * * * Version Details Vulnerabilities
12 Application Ubuntu Language-selector 0.0\ Baz20050609 * * * Version Details Vulnerabilities
13 Application Ubuntu Language-selector 0.0\ Baz20050822 * * * Version Details Vulnerabilities
14 Application Ubuntu Language-selector 0.0\ Baz20050819.2 * * * Version Details Vulnerabilities
15 Application Ubuntu Language-selector 0.1 * * * Version Details Vulnerabilities
16 Application Ubuntu Language-selector 0.1.1 * * * Version Details Vulnerabilities
17 Application Ubuntu Language-selector 0.1.2 * * * Version Details Vulnerabilities
18 Application Ubuntu Language-selector 0.1.3 * * * Version Details Vulnerabilities
19 Application Ubuntu Language-selector 0.1.4 * * * Version Details Vulnerabilities
20 Application Ubuntu Language-selector 0.1.5 * * * Version Details Vulnerabilities
21 Application Ubuntu Language-selector 0.1.6 * * * Version Details Vulnerabilities
22 Application Ubuntu Language-selector 0.1.7 * * * Version Details Vulnerabilities
23 Application Ubuntu Language-selector 0.1.8 * * * Version Details Vulnerabilities
24 Application Ubuntu Language-selector 0.1.9 * * * Version Details Vulnerabilities
25 Application Ubuntu Language-selector 0.1.10 * * * Version Details Vulnerabilities
26 Application Ubuntu Language-selector 0.1.11 * * * Version Details Vulnerabilities
27 Application Ubuntu Language-selector 0.1.12 * * * Version Details Vulnerabilities
28 Application Ubuntu Language-selector 0.1.13 * * * Version Details Vulnerabilities
29 Application Ubuntu Language-selector 0.1.14 * * * Version Details Vulnerabilities
30 Application Ubuntu Language-selector 0.1.15 * * * Version Details Vulnerabilities
31 Application Ubuntu Language-selector 0.1.16 * * * Version Details Vulnerabilities
32 Application Ubuntu Language-selector 0.1.17 * * * Version Details Vulnerabilities
33 Application Ubuntu Language-selector 0.1.18 * * * Version Details Vulnerabilities
34 Application Ubuntu Language-selector 0.1.19 * * * Version Details Vulnerabilities
35 Application Ubuntu Language-selector 0.1.20 * * * Version Details Vulnerabilities
36 Application Ubuntu Language-selector 0.1.21 * * * Version Details Vulnerabilities
37 Application Ubuntu Language-selector 0.1.22 * * * Version Details Vulnerabilities
38 Application Ubuntu Language-selector 0.1.23 * * * Version Details Vulnerabilities
39 Application Ubuntu Language-selector 0.1.24 * * * Version Details Vulnerabilities
40 Application Ubuntu Language-selector 0.1.25 * * * Version Details Vulnerabilities
41 Application Ubuntu Language-selector 0.1.26 * * * Version Details Vulnerabilities
42 Application Ubuntu Language-selector 0.1.27 * * * Version Details Vulnerabilities
43 Application Ubuntu Language-selector 0.1.28 * * * Version Details Vulnerabilities
44 Application Ubuntu Language-selector 0.1.29 * * * Version Details Vulnerabilities
45 Application Ubuntu Language-selector 0.1.30 * * * Version Details Vulnerabilities
46 Application Ubuntu Language-selector 0.2.0 * * * Version Details Vulnerabilities
47 Application Ubuntu Language-selector 0.2.1 * * * Version Details Vulnerabilities
48 Application Ubuntu Language-selector 0.2.2 * * * Version Details Vulnerabilities
49 Application Ubuntu Language-selector 0.2.3 * * * Version Details Vulnerabilities
50 Application Ubuntu Language-selector 0.2.4 * * * Version Details Vulnerabilities
51 Application Ubuntu Language-selector 0.2.5 * * * Version Details Vulnerabilities
52 Application Ubuntu Language-selector 0.2.6 * * * Version Details Vulnerabilities
53 Application Ubuntu Language-selector 0.2.7 * * * Version Details Vulnerabilities
54 Application Ubuntu Language-selector 0.2.8 * * * Version Details Vulnerabilities
55 Application Ubuntu Language-selector 0.2.9 * * * Version Details Vulnerabilities
56 Application Ubuntu Language-selector 0.2.10 * * * Version Details Vulnerabilities
57 Application Ubuntu Language-selector 0.3.0 * * * Version Details Vulnerabilities
58 Application Ubuntu Language-selector 0.3.1 * * * Version Details Vulnerabilities
59 Application Ubuntu Language-selector 0.3.2 * * * Version Details Vulnerabilities
60 Application Ubuntu Language-selector 0.3.3 * * * Version Details Vulnerabilities
61 Application Ubuntu Language-selector 0.3.4 * * * Version Details Vulnerabilities
62 Application Ubuntu Language-selector 0.3.5 * * * Version Details Vulnerabilities
63 Application Ubuntu Language-selector 0.3.6 * * * Version Details Vulnerabilities
64 Application Ubuntu Language-selector 0.3.7 * * * Version Details Vulnerabilities
65 Application Ubuntu Language-selector 0.3.8 * * * Version Details Vulnerabilities
66 Application Ubuntu Language-selector 0.3.9 * * * Version Details Vulnerabilities
67 Application Ubuntu Language-selector 0.3.10 * * * Version Details Vulnerabilities
68 Application Ubuntu Language-selector 0.3.11 * * * Version Details Vulnerabilities
69 Application Ubuntu Language-selector 0.3.12 * * * Version Details Vulnerabilities
70 Application Ubuntu Language-selector 0.3.13 * * * Version Details Vulnerabilities
71 Application Ubuntu Language-selector 0.3.14 * * * Version Details Vulnerabilities
72 Application Ubuntu Language-selector 0.3.15 * * * Version Details Vulnerabilities
73 Application Ubuntu Language-selector 0.3.16 * * * Version Details Vulnerabilities
74 Application Ubuntu Language-selector 0.3.17 * * * Version Details Vulnerabilities
75 Application Ubuntu Language-selector 0.3.20 * * * Version Details Vulnerabilities
76 Application Ubuntu Language-selector 0.3.21 * * * Version Details Vulnerabilities
77 Application Ubuntu Language-selector 0.4.0 * * * Version Details Vulnerabilities
78 Application Ubuntu Language-selector 0.4.1 * * * Version Details Vulnerabilities
79 Application Ubuntu Language-selector 0.4.2 * * * Version Details Vulnerabilities
80 Application Ubuntu Language-selector 0.4.2.1 * * * Version Details Vulnerabilities
81 Application Ubuntu Language-selector 0.4.2.2 * * * Version Details Vulnerabilities
82 Application Ubuntu Language-selector 0.4.2.3 * * * Version Details Vulnerabilities
83 Application Ubuntu Language-selector 0.4.3 * * * Version Details Vulnerabilities
84 Application Ubuntu Language-selector 0.4.4 * * * Version Details Vulnerabilities
85 Application Ubuntu Language-selector 0.4.5 * * * Version Details Vulnerabilities
86 Application Ubuntu Language-selector 0.4.6 * * * Version Details Vulnerabilities
87 Application Ubuntu Language-selector 0.4.7 * * * Version Details Vulnerabilities
88 Application Ubuntu Language-selector 0.4.8 * * * Version Details Vulnerabilities
89 Application Ubuntu Language-selector 0.4.9 * * * Version Details Vulnerabilities
90 Application Ubuntu Language-selector 0.4.10 * * * Version Details Vulnerabilities
91 Application Ubuntu Language-selector 0.4.11 * * * Version Details Vulnerabilities
92 Application Ubuntu Language-selector 0.4.12 * * * Version Details Vulnerabilities
93 Application Ubuntu Language-selector 0.4.13 * * * Version Details Vulnerabilities
94 Application Ubuntu Language-selector 0.4.14 * * * Version Details Vulnerabilities
95 Application Ubuntu Language-selector 0.4.15 * * * Version Details Vulnerabilities
96 Application Ubuntu Language-selector 0.4.16 * * * Version Details Vulnerabilities
97 Application Ubuntu Language-selector 0.4.17 * * * Version Details Vulnerabilities
98 Application Ubuntu Language-selector 0.4.18 * * * Version Details Vulnerabilities
99 Application Ubuntu Language-selector 0.4.19 * * * Version Details Vulnerabilities
100 Application Ubuntu Language-selector 0.5.0 * * * Version Details Vulnerabilities
101 Application Ubuntu Language-selector 0.5.1 * * * Version Details Vulnerabilities
102 Application Ubuntu Language-selector 0.5.2 * * * Version Details Vulnerabilities
103 Application Ubuntu Language-selector 0.5.3 * * * Version Details Vulnerabilities
104 Application Ubuntu Language-selector 0.5.4 * * * Version Details Vulnerabilities
105 Application Ubuntu Language-selector 0.5.5 * * * Version Details Vulnerabilities
106 Application Ubuntu Language-selector 0.5.6 * * * Version Details Vulnerabilities
107 Application Ubuntu Language-selector 0.5.7 * * * Version Details Vulnerabilities
108 Application Ubuntu Language-selector 0.6.0 * * * Version Details Vulnerabilities
109 Application Ubuntu Language-selector 0.6.1 * * * Version Details Vulnerabilities
110 Application Ubuntu Language-selector 0.6.2 * * * Version Details Vulnerabilities
111 Application Ubuntu Language-selector 0.6.3 * * * Version Details Vulnerabilities
112 Application Ubuntu Language-selector 0.6.4 * * * Version Details Vulnerabilities
113 Application Ubuntu Language-selector 0.6.5 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Ubuntu Language-selector 113

- References For CVE-2011-1842

http://www.ubuntu.com/usn/USN-1115-1/
UBUNTU USN-1115-1
https://launchpad.net/bugs/764397 CONFIRM
http://secunia.com/advisories/44214
SECUNIA 44214
http://www.ubuntuupdates.org/packages/show/307975 CONFIRM
https://launchpad.net/ubuntu/+source/language-selector/0.6.7 CONFIRM
https://exchange.xforce.ibmcloud.com/vulnerabilities/67255
XF languageselector-dbus-priv-esc(67255)
http://www.securityfocus.com/bid/47502
BID 47502
http://www.vupen.com/english/advisories/2011/1032
VUPEN ADV-2011-1032

- Metasploit Modules Related To CVE-2011-1842

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.